import { createElement } from 'react';
import 'lodash/fp';
import { b as useComponents } from './chunk.esm.js';
import 'fast-deep-equal';
import 'array-sort';
import 'ulid';
import 'match-sorter';

const Playground = ({ className, style, wrapper: Wrapper, children, __scope, __position, __code, __codesandbox, }) => {
    const components = useComponents();
    if (!components || !components.playground)
        return null;
    const props = { className, style, components };
    return (createElement(components.playground, Object.assign({}, props, { component: children, wrapper: Wrapper, scope: __scope, position: __position, code: __code, codesandbox: __codesandbox })));
};

export default Playground;
